#ifndef SYSTEMMAP_H
#define SYSTEMMAP_H

/* $Id: systemmap.h,v 1.2 2007/04/27 22:01:13 tachino Exp $ */

#include "darray.h"

typedef struct mapent {
	addr_t	 addr;
	char	*name;
} mapent;

EXPORT_DARRAY(mapent);

addr_t	systemmap_vaddr(darray_mapent *, const char *name);
int	systemmap_fill(darray_mapent *, const char *filename);

#endif
